package org.eclipse.linuxtools.lttng.SYSPRO.AlertOptimization;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.eclipse.linuxtools.lttng.SYSPRO.ui.Connect;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableColumn;
import org.eclipse.swt.widgets.TableItem;
import org.eclipse.ui.part.ViewPart;


public class AlertView extends ViewPart {

	public static final String ID = "org.eclipse.ui.tutorials.rcp.part3.AlertView";

	public void createPartControl(Composite parent) {
		Composite top = new Composite(parent, SWT.NONE);
		GridLayout layout = new GridLayout();
		layout.marginHeight = 0;
		layout.marginWidth = 0;
		top.setLayout(layout);
		// top banner
		Composite banner = new Composite(top, SWT.NONE);
		banner.setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_FILL, GridData.VERTICAL_ALIGN_BEGINNING, true, false));
		layout = new GridLayout();
		layout.marginHeight = 0;
		layout.marginWidth = 0;
		layout.numColumns = 2;
		banner.setLayout(layout);

		// Create table
		Table t = new Table(banner, SWT.BORDER| SWT.MULTI);
		
		
		TableColumn tc1 = new TableColumn(t, SWT.CENTER);
		TableColumn tc2 = new TableColumn(t, SWT.CENTER);
		TableColumn tc3 = new TableColumn(t, SWT.CENTER);
		TableColumn tc4 = new TableColumn(t, SWT.CENTER);
		TableColumn tc5 = new TableColumn(t, SWT.CENTER);
		TableColumn tc6 = new TableColumn(t, SWT.CENTER);
		TableColumn tc7 = new TableColumn(t, SWT.CENTER);
		TableColumn tc8 = new TableColumn(t, SWT.CENTER);
		TableColumn tc9 = new TableColumn(t, SWT.CENTER);
		TableColumn tc10 = new TableColumn(t, SWT.CENTER);
		TableColumn tc11 = new TableColumn(t, SWT.CENTER);
		TableColumn tc12 = new TableColumn(t, SWT.CENTER);
		TableColumn tc13 = new TableColumn(t, SWT.CENTER);
		TableColumn tc14 = new TableColumn(t, SWT.CENTER);
		
		tc1.setText("Id");
		tc2.setText("Analyzer");
		tc3.setText("DetectDate");
		tc4.setText("DetectTime");
		tc5.setText("Classification");
		tc6.setText("Severity");
		tc7.setText("Confidence");
		tc8.setText("SourceIP");
		tc9.setText("SourcePort");
		tc10.setText("DestinationIP");
		tc11.setText("DestinationPort");
		tc12.setText("ProcessId");
		tc13.setText("UserName");
		tc14.setText("FilePath");
		
		tc1.setWidth(50);
		tc2.setWidth(100);
		tc3.setWidth(100);
		tc4.setWidth(100);
		tc5.setWidth(140);
		tc6.setWidth(100);
		tc7.setWidth(100);
		tc8.setWidth(120);
		tc9.setWidth(120);
		tc10.setWidth(120);
		tc11.setWidth(120);
		tc12.setWidth(100);
		tc13.setWidth(100);
		tc14.setWidth(200);


		t.setHeaderVisible(true);

		Connect c = new Connect();
	
		ResultSet rs = null;
		try {
			rs = c.Query("select Alert.*, AlertClassification.Name as 'ClassificationName', AlertClassification.Severity from Alert, AlertClassification where Alert.AlertClassificationId = AlertClassification.Id order by Alert.Id");
		} catch (SQLException e) {
			e.printStackTrace();
		}
		try {
			while (rs.next ())
			{
				String idVal = rs.getString ("Id");
				String analyzerVal = rs.getString ("Analyzer");
				String detectDateVal = rs.getString ("DetectDate");
				String detectTimeVal = rs.getString ("DetectTime");
				String classificationVal = rs.getString ("ClassificationName");
				String severityVal = rs.getString ("Severity");
				String confidenceVal = rs.getString ("Confidence");
				String sourceIPVal = rs.getString ("SourceIP");
				String sourcePortVal = rs.getString ("SourcePort");
				String destinationIPVal = rs.getString ("DestinationIP");
				String destinationPortVal = rs.getString ("DestinationPort");
				String processIdVal = rs.getString ("ProcessId");
				String userNameVal = rs.getString ("UserName");
				String filePathVal = rs.getString ("FilePath");
				
				TableItem item1 = new TableItem(t, SWT.NONE);
				item1.setText(new String[] { idVal,analyzerVal,detectDateVal,detectTimeVal,classificationVal,severityVal,confidenceVal,sourceIPVal,sourcePortVal,destinationIPVal,destinationPortVal,processIdVal,userNameVal,filePathVal});
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
		t.pack();

	}

	public void setFocus() {
	}
}
