package org.eclipse.linuxtools.lttng.SYSPRO.io;

import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.HashMap;

import org.eclipse.linuxtools.lttng.jni.JniEvent;
import org.eclipse.linuxtools.lttng.jni.JniMarker;
import java.io.*;
import java.net.*;
public class Requester {

	
	Socket requestSocket;
	ObjectOutputStream out;
 	ObjectInputStream in;
 	String message;
 	boolean status;
	public Requester(String server,int port){
		try{
			requestSocket = new Socket(server, port);
			status = true;
			System.out.println("Connected to "+ server +" in port "+ port);
			//2. get Input and Output streams
			out = new ObjectOutputStream(requestSocket.getOutputStream());
			out.flush();
		}
		catch(UnknownHostException unknownHost){
			System.err.println("You are trying to connect to an unknown host!");
			status = false;
			}
		catch(IOException ioException){
			status = false;
			//ioException.printStackTrace();
		}
		finally{
			
		}
	}
	public boolean getStatus()
	{
		return this.status;
	}
	public void sendMessage(String msg)
	{
		try{
			out.writeObject(msg);
			out.flush();
			System.out.println("client>" + msg);
		}
		catch(IOException ioException){
			ioException.printStackTrace();
		}
	}
	public void closeSocket(){
		try{
			//in.close();
			out.close();
			requestSocket.close();
		}
		catch(IOException ioException){
			ioException.printStackTrace();
		}
	}
//	public static void main(String args[])
//	{
//		Requester client = new Requester();
//		client.sendMessage("hi");
//		client.closeSocket();
//	}
}
