package org.eclipse.linuxtools.lttng.SYSHEALTHPRO.Prevention.Response;

import org.eclipse.tm.tcf.protocol.IChannel;
import org.eclipse.tm.tcf.services.IFileSystem;

/**
 * Delete a directory remotely
 */

public class RMDeleteDir implements IReactiveMeasures {
	static public String Name = "RM_DELETE_DIR";
	static public int Id = 15;
	static public double Risk_threshold = 0.6;
    
    private final IFileSystem files;
    private final String dirPath;


    public RMDeleteDir(IChannel channel, String dirPath) {
            
    	files = channel.getRemoteService(IFileSystem.class);
        this.dirPath = dirPath; 

    }
    
	@Override
	public void start() {
		
        files.remove(dirPath, null);
		System.out.println(Name + " with " + Risk_threshold + " threshold was run");
		
	}
	
}
