package org.eclipse.linuxtools.lttng.SYSHEALTHPRO.Prevention.Response;

import org.eclipse.tm.tcf.protocol.IChannel;
import org.eclipse.tm.tcf.services.IFileSystem;

/**
 * Delete a file remotely
 */

public class RMDeleteFile implements IReactiveMeasures {
	static public String Name = "RM_DELETE_FILE";
	static public int Id = 14;
	static public double Risk_threshold = 0.6;
    
    private final IFileSystem files;
    private final String filePath;


    public RMDeleteFile(IChannel channel, String filePath) {
            
    	files = channel.getRemoteService(IFileSystem.class);
        this.filePath = filePath; 

    }
    
	@Override
	public void start() {
		
        files.remove(filePath, null);
		System.out.println(Name + " with " + Risk_threshold + " threshold was run");
		
	}
	
}
