package org.eclipse.linuxtools.lttng.SYSHEALTHPRO.Prevention;

import java.io.IOException;
import java.util.*;

import org.eclipse.linuxtools.lttng.SYSHEALTHPRO.Prevention.LocalSecurity;
import org.eclipse.linuxtools.lttng.SYSHEALTHPRO.Prevention.Prepared;
import org.eclipse.tm.tcf.protocol.IPeer;


public class Strategy {
    //TreeMap <String,Integer >select_plans = new TreeMap<String, Integer>();
    //NavigableMap <String,Integer>select_plans = new ConcurrentSkipListMap<String,Integer>();
    private final LinkedList<strategiesList> select_plans = new LinkedList<strategiesList>();
    public class strategiesList {
    	public String RMName;
    	public String RMParameter;
    }

    public void runStrategy(final IPeer peer) throws IOException {
      Prepared.RMListener listener = new Prepared.RMListener() {
      
           public void done(Collection<Throwable> errors) {
               if (errors == null || errors.isEmpty()) {
                   System.out.println("runStrategy: No errors detected.");
                   //System.exit(0);
                   return;
               }
               for (Throwable x : errors) {
                   x.printStackTrace(System.out);
               }
               System.exit(3);
           }

           public void progress(String label, int done, int total) {
               if (label != null) System.out.println(label);
           }

       };
       try {
    	   new Prepared(peer, listener, null, select_plans);
       }
       catch (Throwable x) {
           System.err.println("Cannot start plan suite:");
           x.printStackTrace();
           System.exit(2);
       }
    	
    }

    	
	public void MAXConfidentiality() {
//		strategiesList list1 = new strategiesList();
//		list1.RMField = "RMProcesses";
//		list1.RMId = RMProcesses.PLAN_LOCK_USER;
//		select_plans.add(list1);
//		
//		strategiesList list2 = new strategiesList();
//		list2.RMField = "RMFileSystem";
//		list2.RMId = RMFileSystem.PLAN_ALLOWED_HOSTS;
//		select_plans.add(list2);
		
//		FileSystemSecurity filesystemSecurity = new FileSystemSecurity();
//		filesystemSecurity.MAXConfidentiality();
//    	strategy.runStrategy(peer);
		LocalSecurity ls = new LocalSecurity();	
		strategiesList list3 = new strategiesList();
		
		list3.RMName = ls.RMs[1];
	    list3.RMParameter = "attacker";
		select_plans.add(list3);
		
//		strategiesList list4 = new strategiesList();
//		
//		list4.RMName = ls.RMs[1];
//		list4.RMParameter = "attacker";
//		select_plans.add(list4);

		
		
//		KernelSecurity ks = new KernelSecurity();
//		strategiesList list3 = new strategiesList();
//		list3.RMName = ks.strategies[1]
//		list3.RMParameter = "P17967";
//		select_plans.add(list3);
		

	}
	
	public void MAXIntegrity() {
		
	}
	
	public void catchAttacker() {
		
	}
	
	public void analyzeAttacker() {
		
	}
	
	public void recovery() {
		
	}
	
}
