package org.eclipse.linuxtools.lttng.SYSPRO.RiskAssessment;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.eclipse.linuxtools.lttng.SYSPRO.ui.Connect;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableColumn;
import org.eclipse.swt.widgets.TableItem;
import org.eclipse.swt.widgets.ToolBar;
import org.eclipse.swt.widgets.ToolItem;
import org.eclipse.ui.part.ViewPart;


public class ResourceCatView extends ViewPart {

	public static final String ID = "org.eclipse.ui.tutorials.rcp.part3.ResourceCatView";

	Table t;
	public void createPartControl(Composite parent) {
		Composite top = new Composite(parent, SWT.NONE);
		GridLayout layout = new GridLayout();
		layout.marginHeight = 0;
		layout.marginWidth = 0;
		top.setLayout(layout);
		// top banner
		Composite banner = new Composite(top, SWT.NONE);
		banner.setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_FILL, GridData.VERTICAL_ALIGN_BEGINNING, true, false));
		layout = new GridLayout();
		layout.marginHeight = 0;
		layout.marginWidth = 0;
		layout.numColumns = 2;
		banner.setLayout(layout);

		// Create Toolbar
		Image insert_icon = new Image(null, "/home/alireza/TCF/org.eclipse.linuxtools.lttng.SYSPRO/icons/insert_object.png");
		Image edit_icon = new Image(null, "/home/alireza/TCF/org.eclipse.linuxtools.lttng.SYSPRO/icons/edit_object.png");
		Image delete_icon = new Image(null, "/home/alireza/TCF/org.eclipse.linuxtools.lttng.SYSPRO/icons/delete_object.png");


		ToolBar toolBar = new ToolBar (banner, SWT.FLAT | SWT.BORDER);
		ToolItem itemInsert = new ToolItem (toolBar, SWT.DROP_DOWN | SWT.PUSH);
		//itemInsert.setText("Insert");
		itemInsert.setImage(insert_icon);
		itemInsert.setToolTipText("Insert");
		ToolItem itemUpdate = new ToolItem (toolBar, SWT.PUSH);
		//itemUpdate.setText("Update");
		itemUpdate.setImage(edit_icon);
		itemUpdate.setToolTipText("Edit");
		ToolItem itemDelete = new ToolItem (toolBar, SWT.PUSH);
		//itemDelete.setText("Delete");
		itemDelete.setImage(delete_icon);
		itemDelete.setToolTipText("Delete");

		final Shell shell = parent.getShell();
		itemInsert.addListener(SWT.Selection, new Listener() {

			public void handleEvent(Event event) {
				//InsertResourceCat d = new InsertResourceCat(shell);
				//d.open();
				refreshTable();
			}

		});


		itemUpdate.addListener(SWT.Selection, new Listener() {

			public void handleEvent(Event event) {
				//EditResourceCat d = new EditResourceCat(shell);
//				TableItem items = t.getItem(t.getSelectionIndex());
//				System.out.println (t.getItem(5).getText());

//				d.Id = "6";
//				d.name = "salam1";
//				d.open();

				refreshTable();
			}

		});

		itemDelete.addListener(SWT.Selection, new Listener() {

			public void handleEvent(Event event) {

			}

		});


		toolBar.pack ();

		// Create table

		t = new Table(top, SWT.CHECK|SWT.BORDER);

		TableColumn tc1 = new TableColumn(t, SWT.CENTER);
		TableColumn tc2 = new TableColumn(t, SWT.CENTER);


		tc1.setText("Id");
		tc2.setText("Resource Category");
		tc1.setWidth(150);
		tc2.setWidth(150);
		t.setHeaderVisible(true);
		refreshTable();
		TableItem[] items = t.getItems();
		for (int i = 1; i < items.length; i++) {
			String value1 = items[i].getText(1);
			System.out.println (value1);

		}


		t.pack();

	}

	public void setFocus() {
	}

	public void refreshTable() {

		Connect c = new Connect();

		ResultSet rs = null;
		try {
			rs = c.Query("select * from ResourceCategory");
		} catch (SQLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		try {
			while (rs.next ())
			{
				String idVal = rs.getString ("Id");
				String nameVal = rs.getString ("name");

				TableItem item1 = new TableItem(t, SWT.NONE);
				item1.setText(new String[] { idVal,nameVal});
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
}
